# PhasicFlow: AdamsBashforth3 Class Reference

AdamsBashforth3 Class Reference
Inheritance diagram for AdamsBashforth3:
[legend]
Collaboration diagram for AdamsBashforth3:
[legend]

## Public Member Functions

| TypeInfo ("AdamsBashforth3")
| AdamsBashforth3 (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)
virtual | ~AdamsBashforth3 ()=default
| add_vCtor (integration, AdamsBashforth3, word)
bool | predict (real UNUSED(dt), realx3Vector_D &UNUSED(y), realx3Vector_D &UNUSED(dy)) override
bool | correct (real dt, realx3Vector_D &y, realx3Vector_D &dy) override
bool | setInitialVals (const int32IndexContainer &newIndices, const realx3Vector &y) override
bool | needSetInitialVals () const override
uniquePtr< integration > | clone () const override
bool | intAll (real dt, realx3Vector_D &y, realx3Vector_D &dy, range activeRng)
template<typename activeFunctor >
bool | intRange (real dt, realx3Vector_D &y, realx3Vector_D &dy, activeFunctor activeP)
Public Member Functions inherited from integration
| TypeInfo ("integration")
| integration (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)
virtual | ~integration ()=default
| create_vCtor (integration, word,(const word &baseName, repository &owner, const pointStructure &pStruct, const word &method),(baseName, owner, pStruct, method))
const auto & | pStruct () const
virtual bool | predict (real dt, realx3Vector_D &y, realx3Vector_D &dy)=0
const word & | baseName () const
repository & | owner ()

## Protected Types

using | HistoryFieldType = pointField< VectorSingle, AB3History >
using | rpIntegration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule< Kokkos::Static >, Kokkos::IndexType< int32 > >

## Protected Attributes

HistoryFieldType & | history_
Protected Attributes inherited from integration
repository & | owner_
const word | baseName_
const pointStructure & | pStruct_

## Additional Inherited Members

Static Public Member Functions inherited from integration
static uniquePtr< integration > | create (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)

## Detailed Description

Definition at line 69 of file AdamsBashforth3.hpp.

## Member Typedef Documentation

## HistoryFieldType

using HistoryFieldType = pointField<VectorSingle,AB3History>

protected

Definition at line 75 of file AdamsBashforth3.hpp.

## rpIntegration

using rpIntegration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule<Kokkos::Static>, Kokkos::IndexType<int32> >

protected

Definition at line 87 of file AdamsBashforth3.hpp.

## Constructor & Destructor Documentation

## AdamsBashforth3()

AdamsBashforth3 | ( | const word & | baseName,
|  | repository & | owner,
|  | const pointStructure & | pStruct,
|  | const word & | method
| ) |  |

Definition at line 26 of file AdamsBashforth3.cpp.

References pFlow::zero3.

## ~AdamsBashforth3()

virtual ~AdamsBashforth3 | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "AdamsBashforth3" |  | ) |

## add_vCtor()

add_vCtor | ( | integration | ,
|  | AdamsBashforth3 | ,
|  | word |
| ) |  |

## predict()

bool predict | ( | real | UNUSEDdt,
|  | realx3Vector_D & | UNUSEDy,
|  | realx3Vector_D & | UNUSEDdy
| ) |  |

override

Definition at line 67 of file AdamsBashforth3.cpp.

## correct()

bool correct | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy
| ) |  |

overridevirtual

Implements integration.

Definition at line 78 of file AdamsBashforth3.cpp.

References pStruct.

## setInitialVals()

bool setInitialVals | ( | const int32IndexContainer & | newIndices,
|  | const realx3Vector & | y
| ) |  |

overridevirtual

Implements integration.

Definition at line 97 of file AdamsBashforth3.cpp.

## needSetInitialVals()

bool needSetInitialVals | ( |  | ) | const

inlineoverridevirtual

Implements integration.

Definition at line 124 of file AdamsBashforth3.hpp.

## clone()

uniquePtr<integration> clone | ( |  | ) | const

inlineoverridevirtual

Implements integration.

Definition at line 129 of file AdamsBashforth3.hpp.

## intAll()

bool intAll | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | range | activeRng
| ) |  |

Definition at line 104 of file AdamsBashforth3.cpp.

References VectorSingle< T, MemorySpace >::deviceVectorAll(), and LAMBDA_HD.

Here is the call graph for this function:

## intRange()

bool intRange | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | activeFunctor | activeP
| ) |  |

Definition at line 149 of file AdamsBashforth3.hpp.

References pointField< VectorField, T, MemorySpace >::activeRange(), VectorSingle< T, MemorySpace >::deviceVectorAll(), and LAMBDA_HD.

Here is the call graph for this function:

## Member Data Documentation

## history_

HistoryFieldType& history_

protected

Definition at line 81 of file AdamsBashforth3.hpp.

The documentation for this class was generated from the following files:

- src/Integration/AdamsBashforth3/AdamsBashforth3.hpp
- src/Integration/AdamsBashforth3/AdamsBashforth3.cpp